liborcus (0.20.1-2build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:12:24 +0200

liborcus (0.20.1-2build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:02:00 +0200

liborcus (0.20.1-2) experimental; urgency=medium

  * debian/control: allow mdds 3.1 (still mdds-3.0.pc)

 -- Rene Engelhard <rene@debian.org>  Fri, 11 Jul 2025 16:12:19 +0200

liborcus (0.20.1-1) experimental; urgency=medium

  * New upstream version 0.20.1

 -- Rene Engelhard <rene@debian.org>  Sun, 25 May 2025 09:26:07 +0200

liborcus (0.20.0-2) experimental; urgency=medium

  [ Pino Toscano ]
  * Build with -ffloat-store on any i386 architecture, not only on Linux.

  [ Rene Engelhard ]
  * apply patch from LibreOffice master to fix autofilter crash/assertion 

 -- Rene Engelhard <rene@debian.org>  Sat, 19 Apr 2025 17:19:25 +0200

liborcus (0.20.0-1) experimental; urgency=medium

  * New upstream version 0.20.0
    - fixes build with gcc 15 (closes: #1097242)

 -- Rene Engelhard <rene@debian.org>  Thu, 06 Feb 2025 20:58:23 +0100

liborcus (0.19.2-6) unstable; urgency=medium

  * fix new restriction for the "import orcus" test... 

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Sep 2024 01:46:00 +0200

liborcus (0.19.2-5) unstable; urgency=medium

  * build with -ffloat-store on i386 
  * Add allow-stderr restriction to "unit" test due to the gcc 7.x ABI change
    warnings during the bulld in the test stage; while at it mark the
    "import orcus" test superficial

 -- Rene Engelhard <rene@debian.org>  Sat, 21 Sep 2024 20:45:08 +0200

liborcus (0.19.2-4) unstable; urgency=medium

  * add updated debian/watch, thanks Patrice Duroux (closes: #1079919)
  * fix autopkgtest, work around autopkgtest build-needed builds doing
    "nocheck" which misses files we need in the test run...

 -- Rene Engelhard <rene@debian.org>  Thu, 29 Aug 2024 17:13:57 +0200

liborcus (0.19.2-3) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Fri, 24 Nov 2023 18:24:33 +0100

liborcus (0.19.2-2) experimental; urgency=medium

  * merge 0.17.2-2 changes....:

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

  [ Mattia Rizzolo ]
  * Declaratively use dh-sequence-python3.
  * Declaratively use dh-sequence-sphinxdoc, also limiting it to the indep
    build.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Fix d/watch so it matches with the new GitLab layout.
  * Update d/copyright after the previous update (just following lintian).

 -- Rene Engelhard <rene@debian.org>  Fri, 24 Nov 2023 18:09:36 +0100

liborcus (0.19.2-1) experimental; urgency=medium

  * New upstream version 0.19.2
    - fixes segmentation fault in orcus-test-xml-mapped (closes: #1054376)

 -- Rene Engelhard <rene@debian.org>  Fri, 10 Nov 2023 18:21:38 +0100

liborcus (0.19.1-2) experimental; urgency=medium

  * use dh_makeshlibs -VUpstream-Version to bump .shlibs to >= 0.19.1

 -- Rene Engelhard <rene@debian.org>  Fri, 27 Oct 2023 19:06:26 +0000

liborcus (0.19.1-1) experimental; urgency=medium

  * New upstream version 0.19.1

 -- Rene Engelhard <rene@debian.org>  Mon, 23 Oct 2023 17:50:38 +0200

liborcus (0.19.0-2) experimental; urgency=medium

  * debian/rules: export DEB_CXXFLAGS_MAINT_APPEND += -fexcess-precision=fast

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Oct 2023 09:00:42 +0000

liborcus (0.19.0-1) experimental; urgency=medium

  * New upstream version 0.19.0

 -- Rene Engelhard <rene@debian.org>  Tue, 03 Oct 2023 14:44:19 +0200

liborcus (0.18.1-2) experimental; urgency=medium

  * Update tests/control: 0.17->0.18 (closes: #1038690) 

 -- Rene Engelhard <rene@debian.org>  Tue, 20 Jun 2023 17:39:51 +0200

liborcus (0.18.1-1) experimental; urgency=medium

  * New upstream version 0.18.1

 -- Rene Engelhard <rene@debian.org>  Fri, 10 Feb 2023 19:04:45 +0100

liborcus (0.18.0-1) experimental; urgency=medium

  * New upstream version 0.18.0

  * explicitely build with --enable-static for now

 -- Rene Engelhard <rene@debian.org>  Fri, 13 Jan 2023 19:46:14 +0100

liborcus (0.17.2-1) unstable; urgency=medium

  * New upstream version 0.17.2

 -- Rene Engelhard <rene@debian.org>  Thu, 16 Dec 2021 07:36:51 +0100

liborcus (0.17.1-2) unstable; urgency=medium

  * fix autopkgtest dependencies

 -- Rene Engelhard <rene@debian.org>  Tue, 14 Dec 2021 08:27:10 +0000

liborcus (0.17.1-1) unstable; urgency=medium

  * New upstream version 0.17.1

 -- Rene Engelhard <rene@debian.org>  Tue, 14 Dec 2021 07:08:19 +0100

liborcus (0.17.0-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Wed, 08 Dec 2021 19:42:40 +0100

liborcus (0.17.0-1) experimental; urgency=medium

  * New upstream version 0.17.0

 -- Rene Engelhard <rene@debian.org>  Tue, 02 Nov 2021 19:48:50 +0100

liborcus (0.16.1-5) unstable; urgency=medium

  * add Build-Depends: libmdds-dev (<< 2.0~) and
    libixion-dev (<< 0.17.0~) to prevent trying with them

 -- Rene Engelhard <rene@debian.org>  Tue, 02 Nov 2021 19:45:44 +0100

liborcus (0.16.1-4) unstable; urgency=medium

  [ Rene Engelhard ]
  * debian/patches/limits.diff: add missing #include <limits> to fix
    build with GCC11 (from LO tree) (closes: #984198)

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.5.1, no changes needed.

 -- Rene Engelhard <rene@debian.org>  Thu, 23 Sep 2021 20:13:31 +0200

liborcus (0.16.1-3) unstable; urgency=medium

  * remove obsolete sed...

 -- Rene Engelhard <rene@debian.org>  Sun, 18 Oct 2020 11:38:46 +0200

liborcus (0.16.1-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sun, 18 Oct 2020 10:31:11 +0200

liborcus (0.16.1-1) experimental; urgency=medium

  * New upstream version 0.16.1

 -- Rene Engelhard <rene@debian.org>  Tue, 29 Sep 2020 18:02:00 +0200

liborcus (0.16.0-2) experimental; urgency=medium

  * add upstream patches to fix build on 32bit architectures

 -- Rene Engelhard <rene@debian.org>  Fri, 25 Sep 2020 06:34:23 +0200

liborcus (0.16.0-1) experimental; urgency=medium

  * New upstream version 0.16.0
  * bump ixion build-dep to >= 0.16
  * liborcus*0.15-0 -> liborcus*0.16-0

 -- Rene Engelhard <rene@debian.org>  Sat, 12 Sep 2020 11:00:21 +0200

liborcus (0.15.4-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop unnecessary dh arguments: --parallel

  [ Mattia Rizzolo ]
  * d/rules:
    + Remove obsolete comments and calls to dh_autoreconf, nowadays included
      in dh >= 10.
    + Drop options regarding not building liborcus-spreadsheet-model, clearly
      nobody used them in years anyway.
    + Simplify dh_auto_configure override a bit.
  * d/control:
    + Bump Standards-Version to 4.5.0:
      - Set Rules-Requires-Root:no.
    + Capitalize "Python" in the descriptions
    + Drop build-dependency on dh-autoreconf, implied by debhelper >= 10.
    + De-duplicate the specification of Section:libs.
    + Bump debhelper compat level to 13.
      - Add d/not-installed to list the *.la files.
  * d/copyright:
    + Refer to the MPL-2.0 in common-licenses, rather than copying it verbatim.
    + Style improvements.
    + Add myself to the copyright holders for debian/*.
    + Add missing License paragraphs for GPL-2 and GPL-3.
  * d/watch: Use HTTPS.

  [ Rene Engelhard ]
  * d/rules: Use dh_makeshlibs -VNone, to revert to the behavioud pre-dh >=12.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 24 Jun 2020 17:56:40 +0200

liborcus (0.15.4-2) unstable; urgency=medium

  * reupload source-only

 -- Rene Engelhard <rene@debian.org>  Thu, 02 Apr 2020 15:35:40 +0000

liborcus (0.15.4-1) unstable; urgency=medium

  * New upstream version 0.15.4

 -- Rene Engelhard <rene@debian.org>  Mon, 30 Mar 2020 20:49:20 +0200

liborcus (0.15.3+dfsg-1) unstable; urgency=medium

  * actually remove Files-Exluded: files again...

  * split -mso- and -parser- libraries to own packages, according to
    best practices (no transition needed since liborcus-0.15-0 will
    depend on liborcus-parser-0.15-0 anyways.)
  * make liborcus-dev recommend libixion-dev since spreadsheet-models .pc
    Requires: it
  * mention misc/gnumeric.xsd and misc/xls-xml-tokens.txt in
    debian/copyright...

 -- Rene Engelhard <rene@debian.org>  Fri, 27 Mar 2020 21:46:46 +0100

liborcus (0.15.3-3) unstable; urgency=medium

  * update debian/tests/control (s/14/15/), thanks
    Sebastien Bacher (closes: #945860)

 -- Rene Engelhard <rene@debian.org>  Sat, 30 Nov 2019 09:36:58 +0100

liborcus (0.15.3-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Wed, 20 Nov 2019 12:58:15 +0100

liborcus (0.15.3-1) experimental; urgency=medium

  * New upstream version 0.15.3

 -- Rene Engelhard <rene@debian.org>  Fri, 11 Oct 2019 17:22:29 +0200

liborcus (0.15.2-1) experimental; urgency=medium

  * New upstream version 0.15.2

 -- Rene Engelhard <rene@debian.org>  Thu, 29 Aug 2019 18:48:31 +0200

liborcus (0.15.1-1) experimental; urgency=medium

  * New upstream version 0.15.1

 -- Rene Engelhard <rene@debian.org>  Fri, 23 Aug 2019 20:54:47 +0200

liborcus (0.15.0-2) experimental; urgency=medium

  * add upstream patch to fix build on 32bit archs

 -- Rene Engelhard <rene@debian.org>  Wed, 14 Aug 2019 20:55:42 +0200

liborcus (0.15.0-1) experimental; urgency=medium

  * New upstream version 0.15.0

  * update build dependencies

 -- Rene Engelhard <rene@debian.org>  Sun, 11 Aug 2019 11:16:06 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog liborcus-parser-0.20-0`.
